package com.dhcc.finance.main.dao;

import com.dhcc.finance.main.domain.AsDetailContractAssets;
import com.dhcc.finance.main.domain.AsDetailContractAssetsExample;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface AsDetailContractAssetsMapper {
    long countByExample(AsDetailContractAssetsExample example);

    int deleteByExample(AsDetailContractAssetsExample example);

    int deleteByPrimaryKey(String id);

    int insert(AsDetailContractAssets record);

    int insertSelective(AsDetailContractAssets record);

    List<AsDetailContractAssets> selectByExample(AsDetailContractAssetsExample example);

    AsDetailContractAssets selectByPrimaryKey(String id);

    int updateByExampleSelective(@Param("record") AsDetailContractAssets record, @Param("example") AsDetailContractAssetsExample example);

    int updateByExample(@Param("record") AsDetailContractAssets record, @Param("example") AsDetailContractAssetsExample example);

    int updateByPrimaryKeySelective(AsDetailContractAssets record);

    int updateByPrimaryKey(AsDetailContractAssets record);

    /**
     * 功能描述  资产入账(自动记账)中查询合同信息
     *
     * @param htid
     * @return List<AsDetailContractAssets>
     * @author huangpeng
     * @date 2019年7月10日 上午11:04:42
     * 修改日志
     */
    List<AsDetailContractAssets> searchDetailListByPCH(@Param("pch") String pch);
}